#
# Conditional build:
%bcond_with	tests		# build without tests

# TODO:
# - runtime Requires if any

%define		kdeframever	6.8
%define		qtver		5.15.2
%define		kfname		baloo
Summary:	A  file indexing and file search framework
Name:		kf6-%{kfname}
Version:	6.8.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	4d2d84943c1461b94d362a803ed92cec
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= 1.4.0
BuildRequires:	kf6-kfilemetadata-devel >= %{version}
BuildRequires:	kf6-kidletime-devel >= %{version}
BuildRequires:	kf6-kio-devel >= %{version}
BuildRequires:	lmdb-devel
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
Conflicts:	kde4-baloo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Baloo is the file indexing and file search framework for KDE.

Baloo focuses on providing a very small memory footprint along with
with extremely fast searching. It internally uses a mixture of sqlite
along with Xapian to store the file index.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf6-kfilemetadata-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kfname}6 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
/etc/xdg/autostart/baloo_file.desktop
%{_datadir}/qlogging-categories6/baloo.categories
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.main.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%attr(755,root,root) %{_libdir}/libKF6Baloo.so.*.*.*
%ghost %{_libdir}/libKF6Baloo.so.6
%attr(755,root,root) %{_libdir}/libKF6BalooEngine.so.*.*.*
%ghost %{_libdir}/libKF6BalooEngine.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/baloosearchmodule.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/baloosearch.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/tags.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/timeline.so
%dir %{_libdir}/qt6/qml/org/kde/baloo
%dir %{_libdir}/qt6/qml/org/kde/baloo/experimental
%{_libdir}/qt6/qml/org/kde/baloo/qmldir
%{_libdir}/qt6/qml/org/kde/baloo/experimental/qmldir
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/baloo/libbalooplugin.so
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/baloo/experimental/libbaloomonitorplugin.so
%{_datadir}/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
%{_datadir}/qlogging-categories6/baloo.renamecategories
%{systemduserunitdir}/kde-baloo.service
%attr(755,root,root) %{_bindir}/balooctl6
%attr(755,root,root) %{_bindir}/baloosearch6
%attr(755,root,root) %{_bindir}/balooshow6
%attr(755,root,root) %{_prefix}/libexec/kf6/baloo_file
%attr(755,root,root) %{_prefix}/libexec/kf6/baloo_file_extractor
%{_libdir}/qt6/qml/org/kde/baloo/balooplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/baloo/experimental/baloomonitorplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/baloo/experimental/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/baloo/kde-qmlmodule.version

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Baloo.so
%{_includedir}/KF6/Baloo
%{_libdir}/cmake/KF6Baloo
%{_pkgconfigdir}/KF6Baloo.pc
%changelog
* Sat Nov 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-baloo.git;a=log;h=master

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b8078ce
- updated to 6.8.0

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f26e898
- relup

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cfc0e03
- updated to 6.7.0

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ac2da4c
- removing unsupported locale: ie

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 748bb58
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 729fffc
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c6099a2
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7067065
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f038358
- updated to 6.3.0

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 429db3a
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9ab7a02
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c8b4673
- updated to 6.0.0

